<?php

declare(strict_types=1);

namespace Dedi\SyliusColissimoPlugin\Webservice\ValueObject;

class Credentials
{
    private readonly string $accountNumber;

    private readonly string $password;

    public function __construct(string $accountNumber, string $password)
    {
        $this->accountNumber = $accountNumber;
        $this->password = $password;
    }

    public function getAccountNumber(): string
    {
        return $this->accountNumber;
    }

    public function getPassword(): string
    {
        return $this->password;
    }
}
